channels.toggleUsername
Activate or deactivate a purchased fragment.com username associated to a supergroup or channel we own.
Authorization
bearerAuth In: header
Path Parameters
Workspace ID
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Activate or deactivate a purchased fragment.com username associated to a supergroup or channel we own.
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/channels.toggleUsername" \ -H "Content-Type: application/json" \ -d '{ "params": { "channel": { "_": "inputChannelEmpty" }, "username": "string", "active": true } }'{ "result": true}toggleSlowMode
Toggle supergroup slow mode: if enabled, users will only be able to send one message every seconds seconds
toggleViewForumAsMessages
Users may also choose to display messages from all topics of a [forum](https://core.telegram.org/api/forum) as if they were sent to a normal group, using a "View as messages" setting in the local client: this setting only affects the current account, and is synced to other logged in sessions using this method. Invoking this method will update the value of the view_forum_as_messages flag of `RawChannelFull` or `RawDialog` and emit an `RawUpdateChannelViewForumAsMessages`.